%define	module	Net-IRC
%define	name	perl-%{module}
%define	version	0.70
%define	release	1mdk

Name:		%{name}
Summary:	%{module} module for perl
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{module}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
Buildarch:	noarch

%description
%{module} perl module

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
%{__rm} -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc README Changes TODO 
%{perl_vendorlib}/Net/IRC.pm
%dir %{perl_vendorlib}/Net/IRC
%{perl_vendorlib}/Net/IRC/*

%{_mandir}/*/*

%changelog
* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.70-1mdk
- initial mdk release
